ulams lti
Generated from front/cli (ulams schema)
ulams lti endpoints
Section titled “ulams lti endpoints”Our LTI endpoints and issuer, to register us elsewhere.
Kind: read (idempotent). Stability: stable. MCP tool: lti_endpoints. Scopes: lti:read.
Endpoints: GET /api/admin/lti/endpoints.
# Our LTI endpoints and issuer, to register us elsewhereulams lti endpoints --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams lti platforms-add
Section titled “ulams lti platforms-add”Register a platform.
Kind: write. Stability: stable. MCP tool: lti_platforms_add. Scopes: lti:write.
Endpoints: POST /api/admin/lti/platforms.
| Flag | Type | Required | Description |
|---|---|---|---|
--body |
unknown | Request body (JSON) |
# Register a platformulams lti platforms-add --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "body": { "description": "Request body (JSON)" } }, "additionalProperties": {}}ulams lti platforms-delete
Section titled “ulams lti platforms-delete”Delete a platform.
Kind: destructive (idempotent). Stability: stable. MCP tool: lti_platforms_delete. Scopes: lti:write.
Endpoints: DELETE /api/admin/lti/platforms/{platform}.
| Flag | Type | Required | Description |
|---|---|---|---|
--platform (positional) |
integer | yes |
# Delete a platformulams lti platforms-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "platform": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "platform" ], "additionalProperties": {}}ulams lti platforms-get
Section titled “ulams lti platforms-get”Show a platform.
Kind: read (idempotent). Stability: stable. MCP tool: lti_platforms_get. Scopes: lti:read.
Endpoints: GET /api/admin/lti/platforms/{platform}.
| Flag | Type | Required | Description |
|---|---|---|---|
--platform (positional) |
integer | yes |
# Show a platformulams lti platforms-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "platform": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "platform" ], "additionalProperties": {}}ulams lti platforms-list
Section titled “ulams lti platforms-list”List platforms that may launch us.
Kind: read (idempotent). Stability: stable. MCP tool: lti_platforms_list. Scopes: lti:read.
Endpoints: GET /api/admin/lti/platforms.
# List platforms that may launch usulams lti platforms-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams lti platforms-set
Section titled “ulams lti platforms-set”Update a platform.
Kind: write (idempotent). Stability: stable. MCP tool: lti_platforms_set. Scopes: lti:write.
Endpoints: PUT /api/admin/lti/platforms/{platform}.
| Flag | Type | Required | Description |
|---|---|---|---|
--platform (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Update a platformulams lti platforms-set 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "platform": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "platform" ], "additionalProperties": {}}ulams lti tools-add
Section titled “ulams lti tools-add”Register a tool (we issue client_id and deployment_id).
Kind: write. Stability: stable. MCP tool: lti_tools_add. Scopes: lti:write.
Endpoints: POST /api/admin/lti/tools.
| Flag | Type | Required | Description |
|---|---|---|---|
--body |
unknown | Request body (JSON) |
# Register a tool (we issue client_id and deployment_id)ulams lti tools-add --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "body": { "description": "Request body (JSON)" } }, "additionalProperties": {}}ulams lti tools-deep-link
Section titled “ulams lti tools-deep-link”Start deep linking into a lesson.
Kind: write. Stability: stable. MCP tool: lti_tools_deep_link. Scopes: lti:write.
Endpoints: POST /api/admin/lti/tools/{tool}/deep-link.
| Flag | Type | Required | Description |
|---|---|---|---|
--tool (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Start deep linking into a lessonulams lti tools-deep-link 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "tool": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "tool" ], "additionalProperties": {}}ulams lti tools-delete
Section titled “ulams lti tools-delete”Delete a tool without topics.
Kind: destructive (idempotent). Stability: stable. MCP tool: lti_tools_delete. Scopes: lti:write.
Endpoints: DELETE /api/admin/lti/tools/{tool}.
| Flag | Type | Required | Description |
|---|---|---|---|
--tool (positional) |
integer | yes |
# Delete a tool without topicsulams lti tools-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "tool": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "tool" ], "additionalProperties": {}}ulams lti tools-get
Section titled “ulams lti tools-get”Show a tool.
Kind: read (idempotent). Stability: stable. MCP tool: lti_tools_get. Scopes: lti:read.
Endpoints: GET /api/admin/lti/tools/{tool}.
| Flag | Type | Required | Description |
|---|---|---|---|
--tool (positional) |
integer | yes |
# Show a toolulams lti tools-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "tool": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "tool" ], "additionalProperties": {}}ulams lti tools-list
Section titled “ulams lti tools-list”List registered tools.
Kind: read (idempotent). Stability: stable. MCP tool: lti_tools_list. Scopes: lti:read.
Endpoints: GET /api/admin/lti/tools.
# List registered toolsulams lti tools-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams lti tools-set
Section titled “ulams lti tools-set”Update a tool.
Kind: write (idempotent). Stability: stable. MCP tool: lti_tools_set. Scopes: lti:write.
Endpoints: PUT /api/admin/lti/tools/{tool}.
| Flag | Type | Required | Description |
|---|---|---|---|
--tool (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Update a toolulams lti tools-set 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "tool": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "tool" ], "additionalProperties": {}}